aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Mike Kelly <pioto@pioto.org> 2006-11-23 08:59:39 +0000
committerAvatar Mike Kelly <pioto@pioto.org> 2006-11-23 08:59:39 +0000
commit3b58a364517087588a89686e23d6cfbdd11db014 (patch)
tree4dfe7d6586ed607665bbd1dc800af286ad891da9
parentfcb88a945bf7bc64ef4d317b587eb1869626a203 (diff)
downloadpaludis-3b58a364517087588a89686e23d6cfbdd11db014.tar.gz
paludis-3b58a364517087588a89686e23d6cfbdd11db014.tar.xz
Make sure that the src_test phase has a working directory of .
-rw-r--r--ebuild/src_test.bash4
1 files changed, 4 insertions, 0 deletions
diff --git a/ebuild/src_test.bash b/ebuild/src_test.bash
index 479bf14..185fae7 100644
--- a/ebuild/src_test.bash
+++ b/ebuild/src_test.bash
@@ -44,6 +44,10 @@ ebuild_f_test()
local old_sandbox_predict="${SANDBOX_PREDICT}"
[[ -z "${PALUDIS_DO_NOTHING_SANDBOXY}" ]] && SANDBOX_PREDICT="${SANDBOX_PREDICT+${SANDBOX_PREDICT}:}/"
+ if [[ -d "${S}" ]]; then
+ cd "${S}" || die "cd to \${S} (\"${S}\") failed"
+ fi
+
if hasq "test" ${RESTRICT} ; then
ebuild_section "Skipping src_test (RESTRICT)"
elif hasq "test" ${SKIP_FUNCTIONS} ; then